## pynn 0.9.5

=== requirements.txt ===
Jinja2>=2.6
docutils>=0.10
mock>1.0
numpy>=1.8.2
quantities>=0.12.1
lazyarray>=0.3.2
neo>=0.5.2
setuptools>=20.5;python_version!="3.3"
nose
h5py;python_version!="3.3"

=== pyNN/nest/extensions/CMakeLists.txt ===
# :copyright: Copyright 2006-2019 by the PyNN team, see AUTHORS.
# :license: CeCILL, see LICENSE for details.

cmake_minimum_required( VERSION 2.8.12 )

# This CMakeLists.txt is configured to build your external module for NEST.
#
# The configuration requires a compiled and installed NEST; if `nest-config` is 
# not in the PATH, please specify the absolute path with `-Dwith-nest=...`.
#
# For more informations on how to extend and use your module see:
#           https://nest.github.io/nest-simulator/extension_modules

# 1) Name your module here, i.e. add later with -Dexternal-modules=my:
set( SHORT_NAME pynn )

#    the complete module name is here:
set( MODULE_NAME pynn_extensions )

# 2) Add all your sources here
set( MODULE_SOURCES
    pynn_extensions.h pynn_extensions.cpp
    simple_stochastic_connection.h
    stochastic_stp_connection.h
    stochastic_stp_connection_impl.h
    )

# 3) We require a header name like this:
set( MODULE_HEADER ${MODULE_NAME}.h )
# containing the class description of the class extending the SLIModule

# 4) Specify your module version
set( MODULE_VERSION_MAJOR 1 )
set( MODULE_VERSION_MINOR 0 )
set( MODULE_VERSION "${MODULE_VERSION_MAJOR}.${MODULE_VERSION_MINOR}" )

# 5) Leave the rest as is. All files in `sli` will be installed to
#    `share/nest/sli/`, so that NEST will find the during initialization.

# Leave the call to "project(...)" for after the compiler is determined.

# Set the `nest-config` executable to use during configuration.
set( with-nest OFF CACHE STRING "Specify the `nest-config` executable." )

# If it is not set, look for a `nest-config` in the PATH.
if ( NOT with-nest )
  # try find the program ourselves
  find_program( NEST_CONFIG
      NAMES nest-config
      )
  if ( NEST_CONFIG STREQUAL "NEST_CONFIG-NOTFOUND" )
    message( FATAL_ERROR "Cannot find the program `nest-config`. Specify via -Dwith-nest=... ." )
  endif ()
else ()
  set( NEST_CONFIG ${with-nest} )
endif ()

# Use `nest-config` to get the compile and installation options used with the
# NEST installation.

# Get the compiler that was used for NEST.
execute_process(
    COMMAND ${NEST_CONFIG} --compiler
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_COMPILER
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# One check on first execution, if `nest-config` is working.
if ( NOT RES_VAR EQUAL 0 )
  message( FATAL_ERROR "Cannot run `${NEST_CONFIG}`. Please specify correct `nest-config` via -Dwith-nest=... " )
endif ()

# Setting the compiler has to happen before the call to "project(...)" function.
set( CMAKE_CXX_COMPILER "${NEST_COMPILER}" )

project( ${MODULE_NAME} CXX )

# Get the install prefix.
execute_process(
    COMMAND ${NEST_CONFIG} --prefix
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_PREFIX
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Use the `NEST_PREFIX` as `CMAKE_INSTALL_PREFIX`.
set( CMAKE_INSTALL_PREFIX "${NEST_PREFIX}" CACHE STRING "Install path prefix, prepended onto install directories." FORCE )

# Get the CXXFLAGS.
execute_process(
    COMMAND ${NEST_CONFIG} --cflags
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_CXXFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Get the Includes.
execute_process(
    COMMAND ${NEST_CONFIG} --includes
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_INCLUDES
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if ( NEST_INCLUDES )
  # make a cmake list
  string( REPLACE " " ";" NEST_INCLUDES_LIST "${NEST_INCLUDES}" )
  foreach ( inc_complete ${NEST_INCLUDES_LIST} )
    # if it is actually a -Iincludedir
    if ( "${inc_complete}" MATCHES "^-I.*" )
      # get the directory
      string( REGEX REPLACE "^-I(.*)" "\\1" inc "${inc_complete}" )
      # and check whether it is a directory
      if ( IS_DIRECTORY "${inc}" )
        include_directories( "${inc}" )
      endif ()
    endif ()
  endforeach ()
endif ()

# Get, if NEST is build as a (mostly) static application. If yes, also only build
# static library.
execute_process(
    COMMAND ${NEST_CONFIG} --static-libraries
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_STATIC_LIB
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
if ( NEST_STATIC_LIB )
  set( BUILD_SHARED_LIBS OFF )
else ()
  set( BUILD_SHARED_LIBS ON )
endif ()

# Get all linked libraries.
execute_process(
    COMMAND ${NEST_CONFIG} --libs
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_LIBS
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Get the data install dir.
execute_process(
    COMMAND ${NEST_CONFIG} --datadir
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_DATADIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Get the documentation install dir.
execute_process(
    COMMAND ${NEST_CONFIG} --docdir
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_DOCDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# Get the library install dir.
execute_process(
    COMMAND ${NEST_CONFIG} --libdir
    RESULT_VARIABLE RES_VAR
    OUTPUT_VARIABLE NEST_LIBDIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

# on OS X
set( CMAKE_MACOSX_RPATH ON )

# Install all stuff to NEST's install directories.
set( CMAKE_INSTALL_LIBDIR ${NEST_LIBDIR}/nest CACHE STRING "object code libraries (lib/nest or lib64/nest or lib/<multiarch-tuple>/nest on Debian)" FORCE )
set( CMAKE_INSTALL_DOCDIR ${NEST_DOCDIR} CACHE STRING "documentation root (DATAROOTDIR/doc/nest)" FORCE )
set( CMAKE_INSTALL_DATADIR ${NEST_DATADIR} CACHE STRING "read-only architecture-independent data (DATAROOTDIR/nest)" FORCE )

include( GNUInstallDirs )

# CPack stuff. Required for target `dist`.
set( CPACK_GENERATOR TGZ )
set( CPACK_SOURCE_GENERATOR TGZ )

set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "NEST Module ${MODULE_NAME}" )
set( CPACK_PACKAGE_VENDOR "NEST Initiative (http://www.nest-initiative.org/)" )

set( CPACK_PACKAGE_VERSION_MAJOR ${MODULE_VERSION_MAJOR} )
set( CPACK_PACKAGE_VERSION_MINOR ${MODULE_VERSION_MINOR} )
set( CPACK_PACKAGE_VERSION ${MODULE_VERSION} )

set( CPACK_SOURCE_IGNORE_FILES
    "\\\\.gitignore"
    "\\\\.git/"
    "\\\\.travis\\\\.yml"

    # if we have in source builds
    "/build/"
    "/_CPack_Packages/"
    "CMakeFiles/"
    "cmake_install\\\\.cmake"
    "Makefile.*"
    "CMakeCache\\\\.txt"
    "CPackConfig\\\\.cmake"
    "CPackSourceConfig\\\\.cmake"
    )
set( CPACK_SOURCE_PACKAGE_FILE_NAME ${MODULE_NAME} )

set( CPACK_PACKAGE_INSTALL_DIRECTORY "${MODULE_NAME} ${MODULE_VERSION}" )
include( CPack )

# add make dist target
add_custom_target( dist
    COMMAND ${CMAKE_MAKE_PROGRAM} package_source
    # not sure about this... seems, that it will be removed before dist...
    # DEPENDS doc
    COMMENT "Creating a source distribution from ${MODULE_NAME}..."
    )


if ( BUILD_SHARED_LIBS )
  # When building shared libraries, also create a module for loading at runtime
  # with the `Install` command.
  add_library( ${MODULE_NAME}_module MODULE ${MODULE_SOURCES} )
  set_target_properties( ${MODULE_NAME}_module
      PROPERTIES
      COMPILE_FLAGS "${NEST_CXXFLAGS} -DLTX_MODULE"
      LINK_FLAGS "${NEST_LIBS}"
      PREFIX ""
      OUTPUT_NAME ${MODULE_NAME} )
  install( TARGETS ${MODULE_NAME}_module
      DESTINATION ${CMAKE_INSTALL_LIBDIR}
      )
endif ()

# Build dynamic/static library for standard linking from NEST.
add_library( ${MODULE_NAME}_lib ${MODULE_SOURCES} )
if ( BUILD_SHARED_LIBS )
  # Dynamic libraries are initiated by a `global` variable of the `SLIModule`,
  # which is included, when the flag `LINKED_MODULE` is set.
  target_compile_definitions( ${MODULE_NAME}_lib PRIVATE -DLINKED_MODULE )
endif ()
set_target_properties( ${MODULE_NAME}_lib
    PROPERTIES
    COMPILE_FLAGS "${NEST_CXXFLAGS}"
    LINK_FLAGS "${NEST_LIBS}"
    OUTPUT_NAME ${MODULE_NAME} )

# Install library, header and sli init files.
install( TARGETS ${MODULE_NAME}_lib DESTINATION ${CMAKE_INSTALL_LIBDIR} )
install( FILES ${MODULE_HEADER} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
install( DIRECTORY sli DESTINATION ${CMAKE_INSTALL_DATADIR} )

# Install help.
set( HELPDIRS "${PROJECT_SOURCE_DIR}:${PROJECT_SOURCE_DIR}/sli" )
install( CODE
    "execute_process(COMMAND ${CMAKE_COMMAND}
          -DDOC_DIR='${CMAKE_INSTALL_FULL_DOCDIR}'
          -DDATA_DIR='${CMAKE_INSTALL_FULL_DATADIR}'
          -DHELPDIRS='${HELPDIRS}'
          -DINSTALL_DIR='${CMAKE_INSTALL_PREFIX}'
          -P ${CMAKE_INSTALL_FULL_DOCDIR}/generate_help.cmake
        WORKING_DIRECTORY \"${PROJECT_BINARY_DIR}\"
      )"
    )

message( "" )
message( "-------------------------------------------------------" )
message( "${MODULE_NAME} Configuration Summary" )
message( "-------------------------------------------------------" )
message( "" )
message( "C++ compiler         : ${CMAKE_CXX_COMPILER}" )
message( "Build static libs    : ${NEST_STATIC_LIB}" )
message( "C++ compiler flags   : ${CMAKE_CXX_FLAGS}" )
message( "NEST compiler flags  : ${NEST_CXXFLAGS}" )
message( "NEST include dirs    : ${NEST_INCLUDES}" )
message( "NEST libraries flags : ${NEST_LIBS}" )
message( "" )
message( "-------------------------------------------------------" )
message( "" )
message( "You can build and install ${MODULE_NAME} now, using" )
message( "  make" )
message( "  make install" )
message( "" )
message( "${MODULE_NAME} will be installed to: ${CMAKE_INSTALL_FULL_LIBDIR}" )
message( "" )

## pynn 0.7.0

=== debian/changelog ===
pynn (0.7.0-1~pre1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 24 Mar 2011 12:42:37 -0400

pynn (0.7.0-1~pre1) UNRELEASED; urgency=low

  * Initial release (Closes: #604159)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Nov 2010 00:00:43 -0500

=== debian/control ===
Source: pynn
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               python, python-support,
               python-numpy,
               python-nose, python-mock,
               python-cheetah, python-jinja2
Standards-Version: 3.9.1
Homepage: http://neuralensemble.org/trac/PyNN
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynn.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynn.git
XS-DM-Upload-Allowed: yes

Package: python-pynn
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-jinja2, python-cheetah
Suggests: python-neuron, python-brian
Description: simulator-independent specification of neuronal network models
 PyNN allows to code for a model once and run it without modification
 on any simulator that PyNN supports (currently NEURON, NEST, PCSIM
 and Brian).  PyNN translates standard cell-model names and parameter
 names into simulator-specific names.

## pynn 0.7.2

=== debian/changelog ===
pynn (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer email.
  * Added python-csa as a recommended package (connectors can use it).
  * Bump standards-version to 3.9.3 -- no changes necessary.
  * Indicate compliance with copyright format 1.0.
  * Fix language issue in package description.
  * Add python-csa as suggested package.
  * Disable most of one test for numerical instabilities.
  * Remove all previous patches -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Mar 2012 15:16:54 +0100

pynn (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #604159)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Nov 2010 00:00:43 -0500

## pynn 0.7.4

=== debian/changelog ===
pynn (0.7.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786049)
  * Drop debian/pyversions

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 20 Aug 2015 03:57:37 +0500

pynn (0.7.4-1) unstable; urgency=low

  * New upstream release
    - fixes a few bugs detected upstream
    - works around regressions of numpy 1.6 (e.g. #679948, #679998) and
      mock 0.8 allowing unittests to pass (Closes: #669466)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Jul 2012 23:54:42 -0400

=== debian/control ===
Source: pynn
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python, dh-python,
               python-numpy,
               python-nose, python-mock,
               python-cheetah, python-jinja2
Standards-Version: 3.9.3
Homepage: http://neuralensemble.org/trac/PyNN
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynn.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynn.git
XS-DM-Upload-Allowed: yes

Package: python-pynn
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-jinja2, python-cheetah
Suggests: python-neuron, python-brian, python-csa
Description: simulator-independent specification of neuronal network models
 PyNN allows for coding a model once and run it without modification
 on any simulator that PyNN supports (currently NEURON, NEST, PCSIM
 and Brian).  PyNN translates standard cell-model names and parameter
 names into simulator-specific names.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_test:
	for PYVER in `pyversions -d -r -v`; do \
		PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$PYVER` $$PYTHON \
		 /usr/bin/nosetests -s -v --exclude='_(nest|neuron)' test/; done

=== debian/watch ===
version=3
opts=filenamemangle=s/.*(PyNN-.*)#.*/$1/ \
  http://pypi.python.org/pypi/PyNN/ .*/PyNN-(.*)\.tar\.gz.*

## pynn 0.7.5

=== debian/changelog ===
pynn (0.7.5-1~nd12.10+1+nd13.04+1+nd13.10+1+nd14.04+1) trusty; urgency=low

  * Backported for trusty.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 24 Apr 2014 06:56:33 -0400

pynn (0.7.5-1~nd12.10+1+nd13.04+1+nd13.10+1) saucy; urgency=low

  * Backported for saucy.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Oct 2013 00:08:16 -0400

pynn (0.7.5-1~nd12.10+1+nd13.04+1) raring; urgency=low

  * Backported for raring.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Apr 2013 21:31:08 -0400

pynn (0.7.5-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 06 Feb 2013 10:21:55 -0500

pynn (0.7.5-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2013 09:46:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pynn
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               python, dh-python,
+               python, python-support,
                python-numpy,
                python-nose, python-mock,
                python-cheetah, python-jinja2
@@ -13,11 +14,10 @@
 Homepage: http://neuralensemble.org/trac/PyNN
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynn.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynn.git
-XS-DM-Upload-Allowed: yes
 
 Package: python-pynn
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: python-jinja2, python-cheetah
 Suggests: python-neuron, python-brian, python-csa
 Description: simulator-independent specification of neuronal network models

## pynn 0.9.5

=== debian/changelog ===
pynn (0.9.5-3) unstable; urgency=medium

  * Team upload.
  * Configure autodep8 to import pyNN instead of pynn, closes: #959061.
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Wed, 27 May 2020 22:22:04 +0200

pynn (0.9.5-2) unstable; urgency=medium

  * Team upload.
  * Do not ignore test suite errors, versioned Build-Depends: python3-lazyarray
    Closes: #813821
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 17:44:55 +0200

pynn (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * Take over package into Debian Med team maintenance
  * Point watch file to github
  * Switch to Python3
    Closes: #937491
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New (Build-)Depends: python3-neuron, python3-quantities,
    python3-lazyarray, python3-neo
  * Ignore test suite errors which are most probably caused by lazyarray
     (see https://bitbucket.org/apdavison/lazyarray/issues/6/test-failure)
  * Fix permissions of *.mod files
  * Fix copyright

 -- Andreas Tille <tille@debian.org>  Thu, 05 Mar 2020 10:54:14 +0100

=== debian/control ===
Source: pynn
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-numpy,
               python3-nose <!nocheck>,
               python3-mock <!nocheck>,
               python3-cheetah <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-neuron <!nocheck>,
               python3-quantities <!nocheck>,
               python3-lazyarray <!nocheck>,
               python3-neo <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pynn
Vcs-Git: https://salsa.debian.org/med-team/pynn.git
Homepage: https://neuralensemble.org/trac/PyNN
Rules-Requires-Root: no

Package: python3-pynn
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-neuron,
         python3-quantities,
         python3-neo
Recommends: python3-jinja2,
            python3-cheetah,
            python3-lazyarray
Suggests: python3-brian,
          python3-csa
Description: simulator-independent specification of neuronal network models
 PyNN allows for coding a model once and run it without modification
 on any simulator that PyNN supports (currently NEURON, NEST, PCSIM
 and Brian).  PyNN translates standard cell-model names and parameter
 names into simulator-specific names.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pynn
export PYBUILD_BEFORE_TEST =

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.mod" -exec chmod -x \{\} \;

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cp -a test test_save
	rm -f \
	    test/system/scenarios/__init__.py \
	    test/unittests/test_brian.py \
	    test/system/test_brian.py \
	    test/system/test_hardware_brainscales.py \
	    test/system/test_moose.py \
	    test/system/scenarios/registry.py \
	    test/system/test_serialization.py \
	    test/system/test_nest.py \
	    test/system/test_neuroml.py \
	    test/system/test_neuron.py \
	    test/unittests/test_random.py \
	    test/unittests/test_neuron.py
	dh_auto_test
	rm -rf test
	mv test_save test
endif

## pynn 0.9.6

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 mock>1.0
 numpy>=1.8.2
 quantities>=0.12.1
-lazyarray>=0.3.2
+lazyarray>=0.3.4
 neo>=0.5.2
 setuptools>=20.5;python_version!="3.3"
 nose

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyNN.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyNN.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyNN"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyNN"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

zip:
	cd $(BUILDDIR); zip -r pyNN_docs.zip html; cd ..
	@echo
	@echo "Packaging finished. The zip file is in $(BUILDDIR)/pyNN_docs.zip."

=== pyNN/nest/extensions/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# :copyright: Copyright 2006-2019 by the PyNN team, see AUTHORS.
+# :copyright: Copyright 2006-2020 by the PyNN team, see AUTHORS.
 # :license: CeCILL, see LICENSE for details.
 
 cmake_minimum_required( VERSION 2.8.12 )
 
 # This CMakeLists.txt is configured to build your external module for NEST.
 #
-# The configuration requires a compiled and installed NEST; if `nest-config` is 
+# The configuration requires a compiled and installed NEST; if `nest-config` is
 # not in the PATH, please specify the absolute path with `-Dwith-nest=...`.
 #
 # For more informations on how to extend and use your module see:

=== debian/changelog ===
pynn (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 20 Jan 2021 18:30:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-numpy,
@@ -17,7 +17,7 @@
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
                python3-neo <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN

=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/PyNN/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## pynn 0.10.0

=== requirements.txt ===
Jinja2>=2.6
docutils>=0.10
mock>1.0
numpy>=1.16.0
quantities>=0.12.1
lazyarray>=0.5.0
neo>=0.10.0
setuptools>=20.5
nose
h5py

=== pyNN/nest/extensions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# :copyright: Copyright 2006-2020 by the PyNN team, see AUTHORS.
+# :copyright: Copyright 2006-2021 by the PyNN team, see AUTHORS.
 # :license: CeCILL, see LICENSE for details.
 
 cmake_minimum_required( VERSION 2.8.12 )
@@ -20,9 +20,9 @@
 # 2) Add all your sources here
 set( MODULE_SOURCES
     pynn_extensions.h pynn_extensions.cpp
-    simple_stochastic_connection.h
-    stochastic_stp_connection.h
-    stochastic_stp_connection_impl.h
+    simple_stochastic_synapse.h
+    stochastic_stp_synapse.h
+    stochastic_stp_synapse_impl.h
     )
 
 # 3) We require a header name like this:
@@ -247,19 +247,6 @@
 install( FILES ${MODULE_HEADER} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
 install( DIRECTORY sli DESTINATION ${CMAKE_INSTALL_DATADIR} )
 
-# Install help.
-set( HELPDIRS "${PROJECT_SOURCE_DIR}:${PROJECT_SOURCE_DIR}/sli" )
-install( CODE
-    "execute_process(COMMAND ${CMAKE_COMMAND}
-          -DDOC_DIR='${CMAKE_INSTALL_FULL_DOCDIR}'
-          -DDATA_DIR='${CMAKE_INSTALL_FULL_DATADIR}'
-          -DHELPDIRS='${HELPDIRS}'
-          -DINSTALL_DIR='${CMAKE_INSTALL_PREFIX}'
-          -P ${CMAKE_INSTALL_FULL_DOCDIR}/generate_help.cmake
-        WORKING_DIRECTORY \"${PROJECT_BINARY_DIR}\"
-      )"
-    )
-
 message( "" )
 message( "-------------------------------------------------------" )
 message( "${MODULE_NAME} Configuration Summary" )

=== debian/changelog ===
pynn (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/patches/: erase unused patch
  * Add python-3.10.patch: fix build time tests.  (Closes: #1002365)
  * d/copyright: add myself to bump year

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Dec 2021 21:51:20 +0100

pynn (0.9.6-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * d/control: add myself to uploaders
  * d/control: Standards-Version: 4.6.0.1
  * no_testconfig_nest.patch forwarding not needed

 -- Étienne Mollier <emollier@debian.org>  Thu, 16 Sep 2021 21:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pynn
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <mih@debian.org>
+           Michael Hanke <mih@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -17,7 +18,7 @@
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
                python3-neo <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN

## pynn 0.10.1

=== requirements.txt ===
Jinja2>=2.6
docutils>=0.10
mock>1.0
numpy>=1.18.5
quantities>=0.12.1
lazyarray>=0.5.2
neo>=0.11.0
#git+https://github.com/NeuralEnsemble/python-neo.git@master#egg=neo
setuptools>=20.5
nose
h5py

=== pyNN/nest/extensions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# :copyright: Copyright 2006-2021 by the PyNN team, see AUTHORS.
+# :copyright: Copyright 2006-2022 by the PyNN team, see AUTHORS.
 # :license: CeCILL, see LICENSE for details.
 
 cmake_minimum_required( VERSION 2.8.12 )

=== debian/changelog ===
pynn (0.10.1-5) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-setuptools (Closes: #1102535)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 11 Apr 2025 08:14:48 +0200

pynn (0.10.1-4) unstable; urgency=medium

  * Team upload.
  * Disable tests to allow removal of dependency on python3-nose
    (Closes: #1018448)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Feb 2025 08:06:05 +0100

pynn (0.10.1-3) unstable; urgency=medium

  * d/gbp.conf: new: sidetracking branch.
    Newer upstream versions will require new packages, so in the meantime,
    let's continue in the debian/unstable instead of the repository's
    default master branch; this requires adjustments to gbp though.
  * python3.12.patch: new: fix test with python3.12. (Closes: #1058252)

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 11:20:17 +0100

pynn (0.10.1-2) unstable; urgency=medium

  * numpy1.24.patch: add; fix test failures with numpy 1.24.
    (Closes: #1028812)
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 15:28:08 +0100

pynn (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * python-3.10.patch: remove; python3.10 support fixed upstream.
  * d/blends: remove; pyNN moved from neurodebian to debian-med.
  * d/copyright: bump copyright years.

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 12:25:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,14 @@
                dh-python,
                python3-all,
                python3-numpy,
-               python3-nose <!nocheck>,
-               python3-mock <!nocheck>,
                python3-cheetah <!nocheck>,
                python3-jinja2 <!nocheck>,
                python3-neuron <!nocheck>,
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
-               python3-neo <!nocheck>
-Standards-Version: 4.6.0
+               python3-neo <!nocheck>,
+               python3-setuptools,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN

=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/PyNN/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
